Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter.dataformat
Interface FormatDataHandler

All Known Implementing Classes:
  CSVHandler, DOMDataHandler, XMLHandler

public interface FormatDataHandler

Interface to define a data handler for specific data format. The data handler extracts the data from the data stream with a specific format, e.g. XML, CSV etc.

Given the data set of that format, format handler can extract data and present them as an `Iterator` of `Map`. The `Map` contains the value of attributes as defined in the data structure. For complex data, `Map`s can contain other `Iterator` of `Map`s as well.

Since:
  10.1.3
Version:
  1.0

Method Summary
`java.lang.Object` | `getResult(java.util.Map params, java.lang.String returnType)` Returns the resulting data extracted from the input.

Method Detail

### getResult

    public java.lang.Object getResult(java.util.Map params,
                                      java.lang.String returnType)

  Returns the resulting data extracted from the input.
  Parameters:
    `params` - parameters passed containig the context information.
    `returnType` - data type of the returned value. This can be passed as null. If no return type is specified, an Iterator of Map will be returned.
  Returns:
    Object of the type defined by the `returnType` parameter. If the type is available, an instance of that object is created. If no type is specified an `Iterator` of `Map` objects for the result will be created. If no data found it can return null. The `Map` contains the value of attributes as defined in the data structure. For complex data, `Map`s can contain other `Map`s as well.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.